{
  "schema_version": "1.4.0",
  "id": "GHSA-w9vx-wg94-r6pj",
  "modified": "2022-05-01T18:21:31Z",
  "published": "2022-05-01T18:21:31Z",
  "aliases": [
    "CVE-2007-4219"
  ],
  "details": "Integer overflow in the RPCFN_SYNC_TASK function in StRpcSrv.dll, as used by the ServerProtect service (SpntSvc.exe), in Trend Micro ServerProtect for Windows before 5.58 Security Patch 4 allows remote attackers to execute arbitrary code via a certain integer field in a request packet to TCP port 5168, which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-4219"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/36168"
    },
    {
      "type": "WEB",
      "url": "http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=588"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26523"
    },
    {
      "type": "WEB",
      "url": "http://securityreason.com/securityalert/3052"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1018594"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/959400"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/25396"
    },
    {
      "type": "WEB",
      "url": "http://www.trendmicro.com/ftp/documentation/readme/spnt_558_win_en_securitypatch4_readme.txt"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA07-235A.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/2934"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-08-22T23:17:00Z"
  }
}